## polarssl 0.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(POLARSSL C)

enable_testing()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -W -Wdeclaration-after-statement")
set(CMAKE_C_FLAGS_DEBUG "-g -O0")
set(CMAKE_C_FLAGS_COVERAGE "-g -O0 -fprofile-arcs -ftest-coverage -lgcov")

if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
set(CMAKE_SHARED_LINKER_FLAGS "-fprofile-arcs -ftest-coverage")
endif(CMAKE_BUILD_TYPE STREQUAL "Coverage")

include_directories(include/)

add_subdirectory(library)
add_subdirectory(tests)
add_subdirectory(programs)

=== Makefile ===

DESTDIR=/usr/local
PREFIX=polarssl_

.SILENT:

all:
	cd library  && make all && cd ..
	cd programs && make all && cd ..
	cd tests && make all && cd ..

install:
	mkdir -p $(DESTDIR)/include/polarssl
	cp -r include/polarssl $(DESTDIR)/include
	
	mkdir -p $(DESTDIR)/lib
	cp library/libpolarssl.* $(DESTDIR)/lib
	
	mkdir -p $(DESTDIR)/bin
	for p in programs/*/* ; do              \
	    if [ -x $$p ] && [ ! -d $$p ] ;     \
	    then                                \
	        f=$(PREFIX)`basename $$p` ;     \
	        cp $$p $(DESTDIR)/bin/$$f ;     \
	    fi                                  \
	done

clean:
	cd library  && make clean && cd ..
	cd programs && make clean && cd ..
	cd tests && make clean && cd ..

check:
	( cd tests && make check )

=== library/CMakeLists.txt ===
add_library(polarssl STATIC
     aes.c
     arc4.c
     base64.c
     bignum.c
     camellia.c
     certs.c
     debug.c
     des.c
     dhm.c
     havege.c
     md2.c
     md4.c
     md5.c
     net.c
     padlock.c
     rsa.c
     sha1.c
     sha2.c
     sha4.c
     ssl_cli.c 
     ssl_srv.c 
     ssl_tls.c
     timing.c
     x509parse.c
     xtea.c
)

=== library/Makefile ===

# Also see "include/polarssl/config.h"

CFLAGS	= -I../include -D_FILE_OFFSET_BITS=64 -Wall -Wdeclaration-after-statement
OFLAGS	= -O

# MicroBlaze specific options:
# CFLAGS += -mno-xl-soft-mul -mxl-barrel-shift

# To compile on Plan9:
# CFLAGS += -D_BSD_EXTENSION

# To compile as a shared library:
# CFLAGS += -fPIC

DLEXT=so
# OSX shared library extension:
# DLEXT=dylib

OBJS=	aes.o		arc4.o		base64.o	\
	bignum.o	certs.o		debug.o		\
	des.o		dhm.o		havege.o	\
	md2.o		md4.o		md5.o		\
	net.o		padlock.o	rsa.o		\
	sha1.o		sha2.o		sha4.o		\
	ssl_cli.o	ssl_srv.o	ssl_tls.o	\
	timing.o	x509parse.o	xtea.o		\
	camellia.o

.SILENT:

all: static

static: libpolarssl.a

shared: libpolarssl.$(DLEXT)

libpolarssl.a: $(OBJS)
	echo "  AR    $@"
	ar r $@ $(OBJS)
	echo "  RL    $@"
	ranlib $@

libpolarssl.so: libpolarssl.a
	echo "  LD    $@"
	$(CC) -shared -Wl,-soname,$@ -o $@ $(OBJS)

libpolarssl.dylib: libpolarssl.a
	echo "  LD    $@"
	$(CC) -dynamiclib -o $@ $(OBJS)

.c.o:
	echo "  CC    $<"
	$(CC) $(CFLAGS) $(OFLAGS) -c $<

clean:
	rm -f *.o libpolarssl.*

=== programs/CMakeLists.txt ===
add_subdirectory(aes)
add_subdirectory(hash)
add_subdirectory(pkey)
add_subdirectory(ssl)
add_subdirectory(test)

=== programs/Makefile ===

# To compile on SunOS: add "-lsocket -lnsl" to LDFLAGS
# To compile on MinGW: add "-lws2_32" to LDFLAGS

CFLAGS	= -I../include -D_FILE_OFFSET_BITS=64 -Wall -Wdeclaration-after-statement
OFLAGS	= -O
LDFLAGS	= -L../library -lpolarssl

APPS =	aes/aescrypt2		hash/hello		\
	hash/md5sum		hash/sha1sum		\
	hash/sha2sum		pkey/dh_client		\
	pkey/dh_genprime	pkey/dh_server		\
	pkey/mpi_demo		pkey/rsa_genkey		\
	pkey/rsa_sign		pkey/rsa_verify		\
	ssl/ssl_client1		ssl/ssl_client2		\
	ssl/ssl_server		test/ssl_cert_test	\
	test/benchmark					\
	test/selftest		test/ssl_test

.SILENT:

all: $(APPS)

aes/aescrypt2: aes/aescrypt2.c ../library/libpolarssl.a
	echo   "  CC    aes/aescrypt2.c"
	$(CC) $(CFLAGS) $(OFLAGS) aes/aescrypt2.c    $(LDFLAGS) -o $@

hash/hello: hash/hello.c ../library/libpolarssl.a
	echo   "  CC    hash/hello.c"
	$(CC) $(CFLAGS) $(OFLAGS) hash/hello.c       $(LDFLAGS) -o $@

hash/md5sum: hash/md5sum.c ../library/libpolarssl.a
	echo   "  CC    hash/md5sum.c"
	$(CC) $(CFLAGS) $(OFLAGS) hash/md5sum.c      $(LDFLAGS) -o $@

hash/sha1sum: hash/sha1sum.c ../library/libpolarssl.a
	echo   "  CC    hash/sha1sum.c"
	$(CC) $(CFLAGS) $(OFLAGS) hash/sha1sum.c     $(LDFLAGS) -o $@

hash/sha2sum: hash/sha2sum.c ../library/libpolarssl.a
	echo   "  CC    hash/sha2sum.c"
	$(CC) $(CFLAGS) $(OFLAGS) hash/sha2sum.c     $(LDFLAGS) -o $@

pkey/dh_client: pkey/dh_client.c ../library/libpolarssl.a
	echo   "  CC    pkey/dh_client.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/dh_client.c   $(LDFLAGS) -o $@

pkey/dh_genprime: pkey/dh_genprime.c ../library/libpolarssl.a
	echo   "  CC    pkey/dh_genprime.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/dh_genprime.c $(LDFLAGS) -o $@

pkey/dh_server: pkey/dh_server.c ../library/libpolarssl.a
	echo   "  CC    pkey/dh_server.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/dh_server.c   $(LDFLAGS) -o $@

pkey/mpi_demo: pkey/mpi_demo.c ../library/libpolarssl.a
	echo   "  CC    pkey/mpi_demo.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/mpi_demo.c    $(LDFLAGS) -o $@

pkey/rsa_genkey: pkey/rsa_genkey.c ../library/libpolarssl.a
	echo   "  CC    pkey/rsa_genkey.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/rsa_genkey.c  $(LDFLAGS) -o $@

pkey/rsa_sign: pkey/rsa_sign.c ../library/libpolarssl.a
	echo   "  CC    pkey/rsa_sign.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/rsa_sign.c    $(LDFLAGS) -o $@

pkey/rsa_verify: pkey/rsa_verify.c ../library/libpolarssl.a
	echo   "  CC    pkey/rsa_verify.c"
	$(CC) $(CFLAGS) $(OFLAGS) pkey/rsa_verify.c  $(LDFLAGS) -o $@

ssl/ssl_client1: ssl/ssl_client1.c ../library/libpolarssl.a
	echo   "  CC    ssl/ssl_client1.c"
	$(CC) $(CFLAGS) $(OFLAGS) ssl/ssl_client1.c  $(LDFLAGS) -o $@

ssl/ssl_client2: ssl/ssl_client2.c ../library/libpolarssl.a
	echo   "  CC    ssl/ssl_client2.c"
	$(CC) $(CFLAGS) $(OFLAGS) ssl/ssl_client2.c  $(LDFLAGS) -o $@

ssl/ssl_server: ssl/ssl_server.c ../library/libpolarssl.a
	echo   "  CC    ssl/ssl_server.c"
	$(CC) $(CFLAGS) $(OFLAGS) ssl/ssl_server.c   $(LDFLAGS) -o $@

test/ssl_cert_test: test/ssl_cert_test.c ../library/libpolarssl.a
	echo   "  CC    test/ssl_cert_test.c"
	$(CC) $(CFLAGS) $(OFLAGS) test/ssl_cert_test.c   $(LDFLAGS) -o $@

test/benchmark: test/benchmark.c ../library/libpolarssl.a
	echo   "  CC    test/benchmark.c"
	$(CC) $(CFLAGS) $(OFLAGS) test/benchmark.c   $(LDFLAGS) -o $@

test/selftest: test/selftest.c ../library/libpolarssl.a
	echo   "  CC    test/selftest.c"
	$(CC) $(CFLAGS) $(OFLAGS) test/selftest.c    $(LDFLAGS) -o $@

test/ssl_test: test/ssl_test.c ../library/libpolarssl.a
	echo   "  CC    test/ssl_test.c"
	$(CC) $(CFLAGS) $(OFLAGS) test/ssl_test.c    $(LDFLAGS) -o $@

clean:
	rm -f $(APPS)

=== tests/CMakeLists.txt ===
function(add_test_suite suite_name)
    add_custom_command(
        OUTPUT test_suite_${suite_name}.c
        COMMAND scripts/generate_code.pl suites test_suite_${suite_name}
        DEPENDS scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${suite_name}.data
)

    add_executable(test_suite_${suite_name} test_suite_${suite_name}.c)
    target_link_libraries(test_suite_${suite_name} polarssl)
    add_test(${suite_name}-suite test_suite_${suite_name})
endfunction(add_test_suite)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function -Wno-unused-value")

add_test_suite(mpi)
add_test_suite(base64)
add_test_suite(arc4)
add_test_suite(mdx)
add_test_suite(shax)
add_test_suite(hmac_shax)
add_test_suite(aes)
add_test_suite(camellia)
add_test_suite(des)
add_test_suite(rsa)
add_test_suite(xtea)
add_test_suite(dhm)
add_test_suite(x509parse)

=== tests/Makefile ===

# To compile on SunOS: add "-lsocket -lnsl" to LDFLAGS
# To compile on MinGW: add "-lws2_32" to LDFLAGS

CFLAGS	= -I../include -D_FILE_OFFSET_BITS=64 -Wall -Wdeclaration-after-statement \
			-Wno-unused-function -Wno-unused-value

OFLAGS	= -O
LDFLAGS	= -L../library -lpolarssl

APPS =	test_suite_aes			test_suite_arc4		\
		test_suite_base64		test_suite_camellia	\
		test_suite_des			test_suite_dhm		\
		test_suite_hmac_shax	test_suite_mdx		\
		test_suite_mpi			test_suite_rsa		\
		test_suite_shax			test_suite_x509parse\
		test_suite_xtea

.SILENT:

all: $(APPS)

%.c : suites/%.function suites/%.data scripts/generate_code.pl
	echo   "  Generate	$@"
	scripts/generate_code.pl suites $*

test_suite_aes: test_suite_aes.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_arc4: test_suite_arc4.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_base64: test_suite_base64.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_camellia: test_suite_camellia.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_des: test_suite_des.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_dhm: test_suite_dhm.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_hmac_shax: test_suite_hmac_shax.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_mdx: test_suite_mdx.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_mpi: test_suite_mpi.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_rsa: test_suite_rsa.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_shax: test_suite_shax.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_x509parse: test_suite_x509parse.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_xtea: test_suite_xtea.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

clean:
	rm -f $(APPS) *.c

check: $(APPS)
	echo "Running checks (Success if all tests PASSED)"
	for i in $(APPS);														\
	do																		\
		echo " - $${i}";													\
		./$${i} | grep -v 'PASS$$' | grep -v -- '-----' | grep -v '^$$';	\
		echo "";															\
	done

=== programs/aes/CMakeLists.txt ===
add_executable(aescrypt2 aescrypt2.c)
target_link_libraries(aescrypt2 polarssl)

=== programs/hash/CMakeLists.txt ===
add_executable(hello hello.c)
target_link_libraries(hello polarssl)

add_executable(md5sum md5sum.c)
target_link_libraries(md5sum polarssl)

add_executable(sha1sum sha1sum.c)
target_link_libraries(sha1sum polarssl)

add_executable(sha2sum sha2sum.c)
target_link_libraries(sha2sum polarssl)

=== programs/pkey/CMakeLists.txt ===
add_executable(dh_client dh_client.c)
target_link_libraries(dh_client polarssl)

add_executable(dh_genprime dh_genprime.c)
target_link_libraries(dh_genprime polarssl)

add_executable(dh_server dh_server.c)
target_link_libraries(dh_server polarssl)

add_executable(mpi_demo mpi_demo.c)
target_link_libraries(mpi_demo polarssl)

add_executable(rsa_genkey rsa_genkey.c)
target_link_libraries(rsa_genkey polarssl)

add_executable(rsa_sign rsa_sign.c)
target_link_libraries(rsa_sign polarssl)

add_executable(rsa_verify rsa_verify.c)
target_link_libraries(rsa_verify polarssl)

=== programs/ssl/CMakeLists.txt ===
add_executable(ssl_client1 ssl_client1.c)
target_link_libraries(ssl_client1 polarssl)

add_executable(ssl_client2 ssl_client2.c)
target_link_libraries(ssl_client2 polarssl)

add_executable(ssl_server ssl_server.c)
target_link_libraries(ssl_server polarssl)

## polarssl 0.14.3

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 .SILENT:
 
 all:
-	cd library  && make all && cd ..
-	cd programs && make all && cd ..
-	cd tests && make all && cd ..
+	cd library  && $(MAKE) all && cd ..
+	cd programs && $(MAKE) all && cd ..
+	cd tests && $(MAKE) all && cd ..
 
 install:
 	mkdir -p $(DESTDIR)/include/polarssl
@@ -26,9 +26,9 @@
 	done
 
 clean:
-	cd library  && make clean && cd ..
-	cd programs && make clean && cd ..
-	cd tests && make clean && cd ..
+	cd library  && $(MAKE) clean && cd ..
+	cd programs && $(MAKE) clean && cd ..
+	cd tests && $(MAKE) clean && cd ..
 
 check:
-	( cd tests && make check )
+	( cd tests && $(MAKE) check )

=== library/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
      ssl_srv.c 
      ssl_tls.c
      timing.c
+     version.c
      x509parse.c
      xtea.c
 )

=== library/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	sha1.o		sha2.o		sha4.o		\
 	ssl_cli.o	ssl_srv.o	ssl_tls.o	\
 	timing.o	x509parse.o	xtea.o		\
-	camellia.o
+	camellia.o  version.o
 
 .SILENT:

=== programs/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 add_subdirectory(pkey)
 add_subdirectory(ssl)
 add_subdirectory(test)
+add_subdirectory(x509)

=== programs/Makefile ===
--- 
+++ 
@@ -7,15 +7,15 @@
 LDFLAGS	= -L../library -lpolarssl
 
 APPS =	aes/aescrypt2		hash/hello		\
-	hash/md5sum		hash/sha1sum		\
+	hash/md5sum			hash/sha1sum		\
 	hash/sha2sum		pkey/dh_client		\
 	pkey/dh_genprime	pkey/dh_server		\
 	pkey/mpi_demo		pkey/rsa_genkey		\
 	pkey/rsa_sign		pkey/rsa_verify		\
 	ssl/ssl_client1		ssl/ssl_client2		\
 	ssl/ssl_server		test/ssl_cert_test	\
-	test/benchmark					\
-	test/selftest		test/ssl_test
+	test/benchmark		test/selftest		\
+	test/ssl_test		x509/cert_app
 
 .SILENT:
 
@@ -97,6 +97,10 @@
 	echo   "  CC    test/ssl_test.c"
 	$(CC) $(CFLAGS) $(OFLAGS) test/ssl_test.c    $(LDFLAGS) -o $@
 
+x509/cert_app: x509/cert_app.c ../library/libpolarssl.a
+	echo   "  CC    x509/cert_app.c"
+	$(CC) $(CFLAGS) $(OFLAGS) x509/cert_app.c    $(LDFLAGS) -o $@
+
 clean:
 	rm -f $(APPS)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 function(add_test_suite suite_name)
     add_custom_command(
         OUTPUT test_suite_${suite_name}.c
-        COMMAND scripts/generate_code.pl suites test_suite_${suite_name}
-        DEPENDS scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${suite_name}.data
-)
-
+        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl ${CMAKE_CURRENT_SOURCE_DIR}/suites test_suite_${suite_name}
+        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${suite_name}.data
+    )
+  
+    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
     add_executable(test_suite_${suite_name} test_suite_${suite_name}.c)
     target_link_libraries(test_suite_${suite_name} polarssl)
     add_test(${suite_name}-suite test_suite_${suite_name})
@@ -25,3 +26,5 @@
 add_test_suite(xtea)
 add_test_suite(dhm)
 add_test_suite(x509parse)
+add_test_suite(debug)
+add_test_suite(version)

=== tests/Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 		test_suite_hmac_shax	test_suite_mdx		\
 		test_suite_mpi			test_suite_rsa		\
 		test_suite_shax			test_suite_x509parse\
-		test_suite_xtea
+		test_suite_xtea			test_suite_debug	\
+		test_suite_version
 
 .SILENT:
 
@@ -76,6 +77,14 @@
 	echo   "  CC    	$@.c"
 	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@
 
+test_suite_debug: test_suite_debug.c ../library/libpolarssl.a
+	echo   "  CC    	$@.c"
+	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@
+
+test_suite_version: test_suite_version.c ../library/libpolarssl.a
+	echo   "  CC    	$@.c"
+	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@
+
 clean:
 	rm -f $(APPS) *.c

=== programs/x509/CMakeLists.txt ===
add_executable(cert_app cert_app.c)
target_link_libraries(cert_app polarssl)

=== debian/changelog ===
polarssl (0.14.3-1) unstable; urgency=low

  * New upstream release (Closes: #616114)
  * New maintainer (Closes: #615247)
  * Fixed debian/watch, thanks to Mats Erik Andersson (Closes: #620983)
  * debian/control: Standards-Version: 3.9.2
  * Source format: 3.0 (quilt)
  * Included binaries in libpolarssl-runtime
  * Included shared library in libpolarssl0
  * Added testsuite build/run to build process

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Jul 2011 10:28:54 +0200

polarssl (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Use dh --with quilt for sexyness.
  * Bump standards-version, no change needed.
  * Tighten up dh build depend version.
  * Add debian/README.source.
  * Update watch file.
  * Refresh patches.

 -- Arnaud Cornet <acornet@debian.org>  Sat, 07 Nov 2009 22:38:20 +0000

polarssl (0.11.1-1) unstable; urgency=low

  * Fork xyssl package to polarssl to reflect upstream fork/takeover (Closes:
    #536697).
  * Refresh patches.
  * Switch to DH 7.
  * Bump Standards-Version, no change needed.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 16 Jul 2009 14:34:32 +0200

xyssl (0.9-2) unstable; urgency=low

  * Include md2 and md4 hashes algorithms (Closes: #496328).

 -- Arnaud Cornet <acornet@debian.org>  Mon, 25 Aug 2008 18:28:22 +0200

xyssl (0.9-1) unstable; urgency=low

  * Add Homepage header.
  * Fix watch file to match tarball name change (Closes: #453609).
  * New Upstream Version
  * Move libxyssl-dev to libdevel section.
  * Move standards-version to 3.7.3 (no change).
  * Licence change from LGPL to GPL, fix debian/copyright.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 22 Oct 2007 23:35:33 +0200

xyssl (0.8-1) unstable; urgency=low

  * New Upstream Version
  * Drop makefile-install.patch.
  * Update my mail address.

 -- Arnaud Cornet <acornet@debian.org>  Mon, 22 Oct 2007 23:22:53 +0200

xyssl (0.7-1) unstable; urgency=low

  * New Upstream Version.
  * Switch to quilt patch system.
  * Dropped old makefile fix. Made new makefile fix in makefile-install.patch.
  * Updated examples list.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 08 Jul 2007 17:59:16 +0200

xyssl (0.6-1) unstable; urgency=low

  * New upstream release
  * Make watchfile stricter.
  * makefile.patch: Fix completly wrong Makefile.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 08 Apr 2007 11:39:33 +0200

xyssl (0.3-1) unstable; urgency=low

  * New upstream release.
  * No need for a dfsg anymore (files removed upstream).
  * Now build/works on all archs (Closes:#402467).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon,  1 Jan 2007 15:22:48 +0100

xyssl (0.2.dfsg.1-1) unstable; urgency=low

  * New upstream release
  * New architectures supported: arm and mips.
  * Removed files that had an unclear copyright and licence from source
    tarball (hence the dfsg in version).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Fri,  8 Dec 2006 00:08:22 +0100

xyssl (0.1-1) unstable; urgency=low

  * Initial release. (Closes:#396927)

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Thu, 02 Nov 2006 19:36:08 +0100

=== debian/control ===
Source: polarssl
Section: libs
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://polarssl.org

Package: libpolarssl-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, ${misc:Depends}, libpolarssl0 (= ${binary:Version})
Description: lightweight crypto and SSL/TLS library
 PolarSSL is a fork of the abandonned project XySSL. It is a lean crypto
 library providing SSL and TLS support in your programs. It features:
  - AES, Triple-DES, DES, ARC4, Camellia, XTEA
  - MD2, MD4, MD5, SHA-1, SHA-256, SHA-384, SHA-512
  - HAVEGE random number generator
  - RSA with PKCS#1 v1.5 padding
  - SSLv3 and TLSv1 client support
  - X.509 certificate and CRL reading
 .
 This package contains the static library and the header files.

Package: libpolarssl-runtime
Architecture: any
Section: libdevel
Depends: libc6-dev, ${misc:Depends}
Description: lightweight crypto and SSL/TLS library
 PolarSSL is a fork of the abandonned project XySSL. It is a lean crypto
 library providing SSL and TLS support in your programs. It features:
  - AES, Triple-DES, DES, ARC4, Camellia, XTEA
  - MD2, MD4, MD5, SHA-1, SHA-256, SHA-384, SHA-512
  - HAVEGE random number generator
  - RSA with PKCS#1 v1.5 padding
  - SSLv3 and TLSv1 client support
  - X.509 certificate and CRL reading
 .
 This package contains the runtime executables.

Package: libpolarssl0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight crypto and SSL/TLS library
 PolarSSL is a fork of the abandonned project XySSL. It is a lean crypto
 library providing SSL and TLS support in your programs. It features:
  - AES, Triple-DES, DES, ARC4, Camellia, XTEA
  - MD2, MD4, MD5, SHA-1, SHA-256, SHA-384, SHA-512
  - HAVEGE random number generator
  - RSA with PKCS#1 v1.5 padding
  - SSLv3 and TLSv1 client support
  - X.509 certificate and CRL reading
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C library SHARED=1 shared
	mv library/libpolarssl.so.0 library/SOBACKUP
	$(MAKE) clean
	mv library/SOBACKUP library/libpolarssl.so.0
	$(MAKE) all
	$(MAKE) check

#override_dh_installexamples:
#	dh_installexamples -XCMakeLists.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -f tests/data_files/mpi_write

## polarssl 1.0.0

=== debian/changelog ===
polarssl (1.0.0-3) unstable; urgency=low

  * Added patch to fix testsuite hangs on s390x and sparc64, thanks
    to Aurelien Jarno (Closes: #650045)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 19:36:02 +0100

polarssl (1.0.0-2) unstable; urgency=low

  * Fixed bad SO file link in libpolarssl-dev

 -- Roland Stigge <stigge@antcom.de>  Sun, 13 Nov 2011 13:54:08 +0100

polarssl (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 11 Aug 2011 23:10:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 	$(MAKE) all
 	$(MAKE) check
 
-#override_dh_installexamples:
-#	dh_installexamples -XCMakeLists.txt
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f tests/data_files/mpi_write

## polarssl 1.1.0

=== debian/changelog ===
polarssl (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Removed the following patches (fixed upstream now):
    - 04-fix-type-rename.patch
    - 05-fix-testsuite-hangs.patch

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Dec 2011 18:11:18 +0100

## polarssl 1.1.1

=== debian/changelog ===
polarssl (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 24 Jan 2012 00:19:31 +0100

## polarssl 1.1.4

=== debian/changelog ===
polarssl (1.1.4-2) unstable; urgency=high

  * Security fix for CVE-2013-0169: Lucky 13 TLS protocol timing flaw
    including CVE-2013-1621 and CVE-2013-1622, backported from upstream
    diff from 1.2.4 to 1.2.5. (Closes: #699887)

 -- Roland Stigge <stigge@antcom.de>  Thu, 07 Feb 2013 22:08:26 +0100

polarssl (1.1.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 02 Jun 2012 12:46:22 +0200

polarssl (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 01 May 2012 16:59:47 +0200

polarssl (1.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 28 Apr 2012 12:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~)
 Homepage: http://polarssl.org

## polarssl 1.2.8

=== library/CMakeLists.txt ===
option(USE_SHARED_POLARSSL_LIBRARY "Build PolarSSL as a shared library." OFF)

set(src
     aes.c
     arc4.c
     asn1parse.c
     asn1write.c
     base64.c
     bignum.c
     blowfish.c
     camellia.c
     certs.c
     cipher.c
     cipher_wrap.c
     ctr_drbg.c
     debug.c
     des.c
     dhm.c
     entropy.c
     entropy_poll.c
     error.c
     gcm.c
     havege.c
     md.c
     md_wrap.c
     md2.c
     md4.c
     md5.c
     net.c
     padlock.c
     pbkdf2.c
     pem.c
     pkcs5.c
     pkcs11.c
     pkcs12.c
     rsa.c
     sha1.c
     sha2.c
     sha4.c
     ssl_cache.c
     ssl_cli.c 
     ssl_srv.c 
     ssl_tls.c
     timing.c
     version.c
     x509parse.c
     x509write.c
     xtea.c
)

if(WIN32)
set(libs ws2_32)
endif(WIN32)

if(NOT USE_SHARED_POLARSSL_LIBRARY)

add_library(polarssl STATIC ${src})

else(NOT USE_SHARED_POLARSSL_LIBRARY)

add_library(polarssl SHARED ${src})
set_target_properties(polarssl PROPERTIES VERSION 1.2.8 SOVERSION 2)

endif(NOT USE_SHARED_POLARSSL_LIBRARY)

target_link_libraries(polarssl ${libs})

install(TARGETS polarssl
        DESTINATION ${LIB_INSTALL_DIR}
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
polarssl (1.2.8-2) unstable; urgency=low

  * Activate HAVEGE config option manually, needed since 1.2.8

 -- Roland Stigge <stigge@antcom.de>  Sun, 23 Jun 2013 11:11:31 +0200

polarssl (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 22 Jun 2013 14:18:26 +0200

polarssl (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 05 May 2013 14:05:39 +0200

polarssl (1.2.6-1) experimental; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Tue, 12 Mar 2013 20:37:01 +0100

polarssl (1.2.5-1) experimental; urgency=low

  * New upstream release (Closes: #699887)
  * Fixes CVE-2013-0169: Lucky 13 TLS protocol timing flaw
    (Including CVE-2013-1621 and CVE-2013-1622)

 -- Roland Stigge <stigge@antcom.de>  Wed, 06 Feb 2013 21:13:35 +0100

polarssl (1.2.4-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jan 2013 14:56:16 +0100

polarssl (1.2.3-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 01 Dec 2012 11:07:42 +0100

polarssl (1.2.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Nov 2012 11:22:55 +0100

polarssl (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depends: debhelper (>= 9) (debian/compat also)

 -- Roland Stigge <stigge@antcom.de>  Sat, 03 Nov 2012 14:41:30 +0100

## polarssl 1.2.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(POLARSSL C)

enable_testing()

if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wall -Wextra -W -Wdeclaration-after-statement")
  set(CMAKE_C_FLAGS_DEBUG "-g3 -O0")
  set(CMAKE_C_FLAGS_COVERAGE "-g3 -O0 -fprofile-arcs -ftest-coverage -lgcov")
endif(CMAKE_COMPILER_IS_GNUCC)
 
if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
  if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_SHARED_LINKER_FLAGS "-fprofile-arcs -ftest-coverage")
  endif(CMAKE_COMPILER_IS_GNUCC)
endif(CMAKE_BUILD_TYPE STREQUAL "Coverage")

option(USE_PKCS11_HELPER_LIBRARY "Build PolarSSL with the pkcs11-helper library." OFF)

option(ENABLE_ZLIB_SUPPORT "Build PolarSSL with zlib library." OFF)

if(LIB_INSTALL_DIR)
else()
set(LIB_INSTALL_DIR lib)
endif()

include_directories(include/)

if(ENABLE_ZLIB_SUPPORT)
  find_package(ZLIB)

  if(ZLIB_FOUND)
    include_directories(ZLIB_INCLUDE_DIR)
  endif(ZLIB_FOUND)
endif(ENABLE_ZLIB_SUPPORT)

add_subdirectory(library)
add_subdirectory(include)

if(CMAKE_COMPILER_IS_GNUCC)
  add_subdirectory(tests)
endif(CMAKE_COMPILER_IS_GNUCC)

add_subdirectory(programs)

ADD_CUSTOM_TARGET(apidoc
                  COMMAND doxygen doxygen/polarssl.doxyfile
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

=== library/CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,7 @@
 else(NOT USE_SHARED_POLARSSL_LIBRARY)
 
 add_library(polarssl SHARED ${src})
-set_target_properties(polarssl PROPERTIES VERSION 1.2.8 SOVERSION 2)
+set_target_properties(polarssl PROPERTIES VERSION 1.2.9 SOVERSION 3)
 
 endif(NOT USE_SHARED_POLARSSL_LIBRARY)

=== library/Makefile ===

# Also see "include/polarssl/config.h"

# To compile on MinGW: add "-lws2_32" to LDFLAGS or define WINDOWS in your
# environment
#
CFLAGS	+= -I../include -D_FILE_OFFSET_BITS=64 -Wall -W -Wdeclaration-after-statement
OFLAGS	= -O2

ifdef DEBUG
CFLAGS += -g3
endif

# MicroBlaze specific options:
# CFLAGS += -mno-xl-soft-mul -mxl-barrel-shift

# To compile on Plan9:
# CFLAGS += -D_BSD_EXTENSION

# To compile as a shared library:
ifdef SHARED
CFLAGS += -fPIC
endif

SONAME=libpolarssl.so.0

DLEXT=so
# OSX shared library extension:
# DLEXT=dylib

# Windows shared library extension:
ifdef WINDOWS
DLEXT=dll
LDFLAGS += -lws2_32
endif

OBJS=	aes.o		arc4.o		asn1parse.o		\
		asn1write.o base64.o	bignum.o		\
		blowfish.o	camellia.o					\
		certs.o		cipher.o	cipher_wrap.o	\
		ctr_drbg.o	debug.o		des.o			\
		dhm.o		entropy.o	entropy_poll.o	\
		error.o		gcm.o		havege.o		\
		md.o		md_wrap.o	md2.o			\
		md4.o		md5.o		net.o			\
		padlock.o	pbkdf2.o	pem.o			\
		pkcs5.o		pkcs11.o	pkcs12.o		\
		rsa.o		sha1.o		sha2.o			\
		sha4.o		ssl_cache.o	ssl_cli.o		\
		ssl_srv.o								\
		ssl_tls.o	timing.o	version.o		\
		x509parse.o	x509write.o	xtea.o

.SILENT:

ifndef SHARED
all: static
else
all: shared
endif

static: libpolarssl.a

shared: libpolarssl.$(DLEXT)

libpolarssl.a: $(OBJS)
	echo "  AR    $@"
	$(AR) r $@ $(OBJS)
	echo "  RL    $@"
	$(AR) s $@

libpolarssl.so: libpolarssl.a
	echo "  LD    $@"
	$(CC) ${LDFLAGS} -shared -Wl,-soname,$(SONAME) -o $@ $(OBJS)

libpolarssl.dylib: libpolarssl.a
	echo "  LD    $@"
	$(CC) ${LDFLAGS} -dynamiclib -o $@ $(OBJS)

libpolarssl.dll: libpolarssl.a 
	echo "  LD    $@" 
	$(CC) -shared -Wl,-soname,$@ -o $@ $(OBJS) -lws2_32 -lwinmm -lgdi32 

.c.o:
	echo "  CC    $<"
	$(CC) $(CFLAGS) $(OFLAGS) -c $<

clean:
ifndef WINDOWS
	rm -f *.o libpolarssl.*
endif
ifdef WINDOWS
	del /Q /F *.o libpolarssl.*
endif

=== tests/CMakeLists.txt ===
set(libs
     polarssl
)

if(USE_PKCS11_HELPER_LIBRARY)
    set(libs ${libs} pkcs11-helper)
endif(USE_PKCS11_HELPER_LIBRARY)

if(ENABLE_ZLIB_SUPPORT)
    set(libs ${libs} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB_SUPPORT)

function(add_test_suite suite_name)
    if(ARGV1)
    set(data_name ${ARGV1})
    else()
    set(data_name ${suite_name})
    endif()

    add_custom_command(
        OUTPUT test_suite_${data_name}.c
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl ${CMAKE_CURRENT_SOURCE_DIR}/suites test_suite_${suite_name} test_suite_${data_name}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl polarssl fct.h suites/helpers.function suites/test_suite_${suite_name}.function suites/test_suite_${data_name}.data
    )
  
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
    add_executable(test_suite_${data_name} test_suite_${data_name}.c)
    target_link_libraries(test_suite_${data_name} ${libs})
    add_test(${data_name}-suite test_suite_${data_name})
endfunction(add_test_suite)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function -Wno-unused-value")

add_test_suite(aes aes.ecb)
add_test_suite(aes aes.cbc)
add_test_suite(aes aes.cfb)
add_test_suite(aes aes.rest)
add_test_suite(arc4)
add_test_suite(base64)
add_test_suite(blowfish)
add_test_suite(camellia)
add_test_suite(cipher cipher.aes)
add_test_suite(cipher cipher.blowfish)
add_test_suite(cipher cipher.camellia)
add_test_suite(cipher cipher.des)
add_test_suite(cipher cipher.null)
add_test_suite(ctr_drbg)
add_test_suite(debug)
add_test_suite(des)
add_test_suite(dhm)
add_test_suite(error)
add_test_suite(gcm gcm.encrypt_128)
add_test_suite(gcm gcm.encrypt_192)
add_test_suite(gcm gcm.encrypt_256)
add_test_suite(gcm gcm.decrypt_128)
add_test_suite(gcm gcm.decrypt_192)
add_test_suite(gcm gcm.decrypt_256)
add_test_suite(hmac_shax)
add_test_suite(md)
add_test_suite(mdx)
add_test_suite(mpi)
add_test_suite(pbkdf2)
add_test_suite(pkcs1_v21)
add_test_suite(pkcs5)
add_test_suite(shax)
add_test_suite(rsa)
add_test_suite(version)
add_test_suite(xtea)
add_test_suite(x509parse)
add_test_suite(x509write)

=== tests/Makefile ===

# To compile on SunOS: add "-lsocket -lnsl" to LDFLAGS
# To compile on MinGW: add "-lws2_32" to LDFLAGS or define WINDOWS in your env
# To compile with PKCS11: add "-lpkcs11-helper" to LDFLAGS

CFLAGS	+= -I../include -D_FILE_OFFSET_BITS=64 -Wall -W -Wdeclaration-after-statement \
			-Wno-unused-function -Wno-unused-value

OFLAGS	= -O2
LDFLAGS	+= -L../library -lpolarssl $(SYS_LDFLAGS)

ifdef DEBUG
CFLAGS += -g3
endif

ifdef WINDOWS
LDFLAGS += -lws2_32
endif

# Zlib shared library extensions:
ifdef ZLIB
LDFLAGS += -lz
endif

APPS =	test_suite_aes.ecb		test_suite_aes.cbc		\
		test_suite_aes.cfb		test_suite_aes.rest		\
		test_suite_arc4									\
		test_suite_base64		test_suite_blowfish		\
		test_suite_camellia		test_suite_cipher.aes	\
		test_suite_cipher.blowfish						\
		test_suite_cipher.camellia						\
		test_suite_cipher.des	test_suite_cipher.null	\
		test_suite_ctr_drbg		test_suite_debug		\
		test_suite_des			test_suite_dhm			\
		test_suite_error								\
		test_suite_gcm.decrypt_128						\
		test_suite_gcm.decrypt_192						\
		test_suite_gcm.decrypt_256						\
		test_suite_gcm.encrypt_128						\
		test_suite_gcm.encrypt_192						\
		test_suite_gcm.encrypt_256						\
		test_suite_hmac_shax							\
		test_suite_md			test_suite_mdx			\
		test_suite_mpi			test_suite_pbkdf2		\
		test_suite_pkcs1_v21	test_suite_pkcs5		\
		test_suite_rsa			test_suite_shax			\
		test_suite_x509parse	test_suite_x509write	\
		test_suite_xtea			test_suite_version

.SILENT:

all: $(APPS)

test_suite_aes.ecb.c : suites/test_suite_aes.function suites/test_suite_aes.ecb.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_aes test_suite_aes.ecb

test_suite_aes.cbc.c : suites/test_suite_aes.function suites/test_suite_aes.cbc.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_aes test_suite_aes.cbc

test_suite_aes.cfb.c : suites/test_suite_aes.function suites/test_suite_aes.cfb.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_aes test_suite_aes.cfb

test_suite_aes.rest.c : suites/test_suite_aes.function suites/test_suite_aes.rest.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_aes test_suite_aes.rest

test_suite_cipher.aes.c : suites/test_suite_cipher.function suites/test_suite_cipher.aes.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_cipher test_suite_cipher.aes

test_suite_cipher.blowfish.c : suites/test_suite_cipher.function suites/test_suite_cipher.blowfish.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_cipher test_suite_cipher.blowfish

test_suite_cipher.camellia.c : suites/test_suite_cipher.function suites/test_suite_cipher.camellia.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_cipher test_suite_cipher.camellia

test_suite_cipher.des.c : suites/test_suite_cipher.function suites/test_suite_cipher.des.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_cipher test_suite_cipher.des

test_suite_cipher.null.c : suites/test_suite_cipher.function suites/test_suite_cipher.null.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_cipher test_suite_cipher.null

test_suite_gcm.decrypt_128.c : suites/test_suite_gcm.function suites/test_suite_gcm.decrypt_128.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.decrypt_128

test_suite_gcm.decrypt_192.c : suites/test_suite_gcm.function suites/test_suite_gcm.decrypt_192.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.decrypt_192

test_suite_gcm.decrypt_256.c : suites/test_suite_gcm.function suites/test_suite_gcm.decrypt_256.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.decrypt_256

test_suite_gcm.encrypt_128.c : suites/test_suite_gcm.function suites/test_suite_gcm.encrypt_128.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.encrypt_128

test_suite_gcm.encrypt_192.c : suites/test_suite_gcm.function suites/test_suite_gcm.encrypt_192.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.encrypt_192

test_suite_gcm.encrypt_256.c : suites/test_suite_gcm.function suites/test_suite_gcm.encrypt_256.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites test_suite_gcm test_suite_gcm.encrypt_256

%.c : suites/%.function suites/%.data scripts/generate_code.pl suites/helpers.function
	echo   "  Generate	$@"
	scripts/generate_code.pl suites $* $*

test_suite_aes.ecb: test_suite_aes.ecb.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_aes.cbc: test_suite_aes.cbc.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_aes.cfb: test_suite_aes.cfb.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_aes.rest: test_suite_aes.rest.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_arc4: test_suite_arc4.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_base64: test_suite_base64.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_blowfish: test_suite_blowfish.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_camellia: test_suite_camellia.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_cipher.aes: test_suite_cipher.aes.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_cipher.blowfish: test_suite_cipher.blowfish.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_cipher.camellia: test_suite_cipher.camellia.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_cipher.des: test_suite_cipher.des.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_cipher.null: test_suite_cipher.null.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_ctr_drbg: test_suite_ctr_drbg.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_des: test_suite_des.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_dhm: test_suite_dhm.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_error: test_suite_error.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.decrypt_128: test_suite_gcm.decrypt_128.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.decrypt_192: test_suite_gcm.decrypt_192.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.decrypt_256: test_suite_gcm.decrypt_256.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.encrypt_128: test_suite_gcm.encrypt_128.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.encrypt_192: test_suite_gcm.encrypt_192.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_gcm.encrypt_256: test_suite_gcm.encrypt_256.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_hmac_shax: test_suite_hmac_shax.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_md: test_suite_md.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_mdx: test_suite_mdx.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_mpi: test_suite_mpi.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_pbkdf2: test_suite_pbkdf2.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_pkcs1_v21: test_suite_pkcs1_v21.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_pkcs5: test_suite_pkcs5.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_rsa: test_suite_rsa.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_shax: test_suite_shax.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_x509parse: test_suite_x509parse.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_x509write: test_suite_x509write.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_xtea: test_suite_xtea.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_debug: test_suite_debug.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

test_suite_version: test_suite_version.c ../library/libpolarssl.a
	echo   "  CC    	$@.c"
	$(CC) $(CFLAGS) $(OFLAGS) $@.c	$(LDFLAGS) -o $@

clean:
ifndef WINDOWS
	rm -f $(APPS) *.c
endif
ifdef WINDOWS
	del /Q /F *.c *.exe
endif

check: $(APPS)
ifndef WINDOWS
	echo "Running checks (Success if all tests PASSED)"	
	RETURN=0;																\
	for i in $(APPS);														\
	do																		\
		echo " - $${i}";													\
		RESULT=`./$${i} | grep -v 'PASS$$' | grep -v -- '-----' | grep -v '^$$'`;	\
		FAILED=`echo $$RESULT |grep FAILED`; 								\
		echo "   $$RESULT";													\
		if [ "$$FAILED" != "" ];											\
		then																\
			echo "**** Failed ***************";								\
			RETURN=1;														\
		fi; 																\
		echo "";															\
	done;																	\
	if [ "$$RETURN" -eq 1 ]; then exit 1; fi
endif

=== programs/pkey/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 add_executable(dh_server dh_server.c)
 target_link_libraries(dh_server polarssl)
+
+add_executable(key_app key_app.c)
+target_link_libraries(key_app polarssl)
+
+add_executable(key_app_writer key_app_writer.c)
+target_link_libraries(key_app_writer polarssl)
 
 add_executable(mpi_demo mpi_demo.c)
 target_link_libraries(mpi_demo polarssl)
@@ -18,3 +24,19 @@
 
 add_executable(rsa_verify rsa_verify.c)
 target_link_libraries(rsa_verify polarssl)
+
+add_executable(rsa_sign_pss rsa_sign_pss.c)
+target_link_libraries(rsa_sign_pss polarssl)
+
+add_executable(rsa_verify_pss rsa_verify_pss.c)
+target_link_libraries(rsa_verify_pss polarssl)
+
+add_executable(rsa_encrypt rsa_encrypt.c)
+target_link_libraries(rsa_encrypt polarssl)
+
+add_executable(rsa_decrypt rsa_decrypt.c)
+target_link_libraries(rsa_decrypt polarssl)
+
+install(TARGETS dh_client dh_genprime dh_server key_app mpi_demo rsa_genkey rsa_sign rsa_verify rsa_encrypt rsa_decrypt
+        DESTINATION "bin"
+        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== programs/test/CMakeLists.txt ===
FIND_PACKAGE(OpenSSL)

set(libs
     polarssl
)

if(USE_PKCS11_HELPER_LIBRARY)
    set(libs ${libs} pkcs11-helper)
endif(USE_PKCS11_HELPER_LIBRARY)

if(ENABLE_ZLIB_SUPPORT)
    set(libs ${libs} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB_SUPPORT)

add_executable(selftest selftest.c)
target_link_libraries(selftest ${libs})

add_executable(benchmark benchmark.c)
target_link_libraries(benchmark ${libs})

add_executable(ssl_test ssl_test.c)
target_link_libraries(ssl_test ${libs})

add_executable(ssl_cert_test ssl_cert_test.c)
target_link_libraries(ssl_cert_test ${libs})

install(TARGETS selftest benchmark ssl_test ssl_cert_test
        DESTINATION "bin"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

if(OPENSSL_FOUND)
    add_executable(o_p_test o_p_test.c)
    target_link_libraries(o_p_test ${libs} ${OPENSSL_LIBRARIES})

    install(TARGETS o_p_test
        DESTINATION "bin"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif(OPENSSL_FOUND)

=== debian/changelog ===
polarssl (1.2.9-1~deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2015-5291: Remote attack on clients using session tickets or SNI

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2016 15:47:29 +0100

polarssl (1.2.9-1~deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-1182.patch patch.
    CVE-2015-1182: Denial of service and possible remote code execution
    using crafted certificates. (Closes: #775776)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 Jan 2015 20:58:06 +0100

polarssl (1.2.9-1~deb7u4) wheezy-security; urgency=low

  * CVE-2014-8628

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 29 Dec 2014 23:55:56 +0000

polarssl (1.2.9-1~deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-4911.patch patch.
    CVE-2014-4911: Fix Denial of Service against GCM enabled servers (and
    clients). (Closes: #754655)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 Jul 2014 06:39:38 +0200

polarssl (1.2.9-1~deb7u2) stable-proposed-updates; urgency=medium

  * Fix FTBFS bug due to expired certificates, backport from upstream 1.3.4,
    thanks to Moritz Mühlenhoff (Closes: #738854)

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Feb 2014 12:14:50 +0100

polarssl (1.2.9-1~deb7u1) stable-security; urgency=low

  * New upstream release
    - Fixes CVE-2013-5914 CVE-2013-5915 (Closes: #725359)

 -- Roland Stigge <stigge@antcom.de>  Wed, 16 Oct 2013 20:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
 Homepage: http://polarssl.org
 
 Package: libpolarssl-dev

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: smoke
Depends: libpolarssl-runtime

Tests: build-test
Depends: libpolarssl-dev
